=== debian/control ===
Source: kactivities-stats
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               doxygen,
               extra-cmake-modules (>= 5.103.0~),
               libboost-dev (>= 1.49~),
               libkf5activities-dev (>= 5.103.0~),
               libkf5config-dev (>= 5.103.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev,
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kactivities-stats
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kactivities-stats
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kactivities-stats.git
Rules-Requires-Root: no

Package: libkf5activitiesstats-dev
Section: libdevel
Architecture: any
Depends: libkf5activitiesstats1 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5activitiesstats-doc (= ${source:Version}),
Description: development files for kactivities-stats.
 A library for accessing the usage data collected by the activities system.
 .
 Contains development files for kactivities-stats.

Package: libkf5activitiesstats-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5activitiesstats1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Conflicts: libkf5activitiesstats5,
Replaces: libkf5activitiesstats5,
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.
 .
 Contains development files for kactivities-stats.
