=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
                libboost-dev (>= 1.49~),
-               libkf5activities-dev (>= 5.109.0~),
-               libkf5config-dev (>= 5.109.0~),
+               libkf5activities-dev (>= 5.110.0~),
+               libkf5config-dev (>= 5.110.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools,
                qtbase5-dev (>= 5.15.2~),
