=== autotests/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
project (KActivitiesStatsAutotests)

find_package (Qt${QT_MAJOR_VERSION} REQUIRED NO_MODULE COMPONENTS Test Core DBus Sql)

include_directories (
   ${KASTATS_CURRENT_ROOT_SOURCE_DIR}/src
   ${KASTATS_CURRENT_ROOT_SOURCE_DIR}/autotests
   ${CMAKE_BINARY_DIR}/src
   )

set (
   KActivitiesStatsTest_SRCS
   main.cpp
   QueryTest.cpp
   ResultSetTest.cpp
   ResultSetQuickCheckTest.cpp
   ResultWatcherTest.cpp

   # Generated by macro ecm_qt_declare_logging_category in src/CMakeLists.txt
   ${CMAKE_BINARY_DIR}/src/kactivities-stats-logsettings.cpp

   ${KASTATS_CURRENT_ROOT_SOURCE_DIR}/src/utils/qsqlquery_iterator.cpp
   ${KASTATS_CURRENT_ROOT_SOURCE_DIR}/src/common/database/Database.cpp
   ${KASTATS_CURRENT_ROOT_SOURCE_DIR}/src/common/database/schema/ResourcesDatabaseSchema.cpp
   ${KASTATS_CURRENT_ROOT_SOURCE_DIR}/autotests/common/test.cpp
   )

if (NOT WIN32)

   add_executable (
      KActivitiesStatsTest
      ${KActivitiesStatsTest_SRCS}
      )

   target_link_libraries (
      KActivitiesStatsTest
      Boost::boost

      Qt${QT_MAJOR_VERSION}::Core
      Qt${QT_MAJOR_VERSION}::Test
      Qt${QT_MAJOR_VERSION}::DBus
      Qt${QT_MAJOR_VERSION}::Sql

      KF5::Activities
      KF5::ActivitiesStats
      )

endif ()
