=== debian/changelog ===
kactivities-stats (5.116.0+p24.04+vstable+git20250801.1415-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 01 Aug 2025 14:15:33 +0000
