## kactivities-stats 5.116.0+p24.04+vunstable+git20250824.0612

=== debian/changelog ===
kactivities-stats (5.116.0+p24.04+vunstable+git20250824.0612-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 24 Aug 2025 06:12:16 +0000
